/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "ServiceOneWay.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

/* @Service(name="Service1", interfaceHeader="test/ServiceOneWay.h") */
void operation1(const char *input) {
	int compCode, reason, size = 50, num_values = 1;
	char *pServiceName = serviceName;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);

	return;
};
